using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace SolutionErp.Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class AddAdvancedOptionsToApprovalWorkflows : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "AllowApproverEditDetails",
                table: "ApprovalWorkflows",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "AllowDrafterSkipToFinal",
                table: "ApprovalWorkflows",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "AllowReturnOneLevel",
                table: "ApprovalWorkflows",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "AllowReturnOneStep",
                table: "ApprovalWorkflows",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "AllowReturnToAssignee",
                table: "ApprovalWorkflows",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "AllowReturnToDrafter",
                table: "ApprovalWorkflows",
                type: "bit",
                nullable: false,
                defaultValue: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AllowApproverEditDetails",
                table: "ApprovalWorkflows");

            migrationBuilder.DropColumn(
                name: "AllowDrafterSkipToFinal",
                table: "ApprovalWorkflows");

            migrationBuilder.DropColumn(
                name: "AllowReturnOneLevel",
                table: "ApprovalWorkflows");

            migrationBuilder.DropColumn(
                name: "AllowReturnOneStep",
                table: "ApprovalWorkflows");

            migrationBuilder.DropColumn(
                name: "AllowReturnToAssignee",
                table: "ApprovalWorkflows");

            migrationBuilder.DropColumn(
                name: "AllowReturnToDrafter",
                table: "ApprovalWorkflows");
        }
    }
}
